### Method

# PangoFc Decoder get_glyph

since: 1.6

#### Declaration [src]

    PangoGlyph
    pango_fc_decoder_get_glyph (
      PangoFcDecoder* decoder,
      PangoFcFont* fcfont,
      guint32 wc
    )

#### Description [src]

Generates a `PangoGlyph` for the given Unicode point using the custom decoder.

For complex scripts where there can be multiple glyphs for a single character, the decoder will return whatever glyph is most convenient for it. (Usually whatever glyph is directly in the fonts character map table.)

Available since: 1.6

#### Parameters

`fcfont`

  Type: `PangoFcFont`

  A `PangoFcFont` to query.

  The data is owned by the caller of the method.

`wc`

  Type: `guint32`

  The Unicode code point to convert to a single `PangoGlyph`.

#### Return value

Type: `PangoGlyph`

The glyph index, or 0 if the glyph isn’t covered by the font.